[Yandex Cloud documentation](../../../index.md) > [Yandex Cloud Postbox](../../index.md) > [API reference](../index.md) > [REST](index.md) > Subscriptions > GetConfigurationSetEventDestinations method

# GetConfigurationSetEventDestinations method

Returns information about [subscriptions](../../concepts/glossary.md#subscription) for a [configuration](../../concepts/glossary.md#configuration) in a folder. The folder is selected based on the service account the request originates from.

## Request {#request}

```http
GET /v2/email/configuration-sets/{ConfigurationSetName}/event-destinations HTTP/2
```

### Path parameters {#path-parameters}

#|
|| **Parameter** | **Description** ||
|| `ConfigurationSetName` | **Type**: String.

Configuration name. ||
|#

### Request headers {#request-headers}

Use [common request headers](request-headers.md) in your requests.

## Responses {#responses}

### 200 OK {#200}

```json
{
  "EventDestinations": [
    {
      "Name": "<subscription_name>",
      "Enabled": <subscription_state>,
      "KinesisFirehoseDestination": {
        "DeliveryStreamArn": "<data_stream>"
      }
    }
  ]
}
```

#|
|| **Parameter** | **Description** ||
|| `EventDestinations` | **Type**: Array.

Array of subscriptions. ||
|| `Name` | **Type**: String.

Subscription name. ||
|| `Enabled` | **Type**: Boolean.

Subscription status: `true` for enabled and `false` for disabled. If the subscription is enabled, email delivery notifications are sent to the specified stream. ||
|| `KinesisFirehoseDestination` | **Type**: Object.

Object that specifies the destination for notifications. ||
|| `DeliveryStreamArn` | **Type**: String.

Data stream in Yandex Data Streams notifications are sent to.

Format: `arn:yc:yds:<region>::<endpoint>:<stream_name>`.

{% cut "Example" %}

`arn:yc:yds:ru-central1::https://yds.serverless.yandexcloud.net/ru-central1/b1gkgm9daf9605nj****/etn5nuveugdr18ak****:postbox`

{% endcut %} ||
|#

The `200 OK` response may contain additional parameters. Its format may vary slightly from the above.

### Errors {#errors}

For all errors, the response body has the same format:

```json
{
   "Code": "<error_name>",
   "message": "<error_description>"
}
```

The name of the error is taken from its code, e.g., `BadRequestException`.

The possible errors include:

#|
|| **Error code** | **Description** ||
|| `400 BadRequestException` | The request contains invalid headers or parameters. ||
|| `404 NotFoundException` | The requested resource was not found. ||
|| `429 TooManyRequestsException` | The request [quota](../../concepts/limits.md#postbox-quotas) was exceeded. ||
|#